#ifndef FEATURE_GNSS_FIX_H_
#define FEATURE_GNSS_FIX_H_

//Wolf includes
#include "core/feature/feature_base.h"

//std includes

namespace wolf {

WOLF_PTR_TYPEDEFS(FeatureGnssFix);
    
//class FeatureGnssFix
class FeatureGnssFix : public FeatureBase
{
    public:

        /** \brief Constructor from capture pointer and measure
         *
         * \param _measurement the measurement
         * \param _meas_covariance the noise of the measurement
         *
         */
        FeatureGnssFix(const Eigen::Vector3s& _measurement, const Eigen::Matrix3s& _meas_covariance) :
            FeatureBase("GNSS FIX", _measurement, _meas_covariance)
        {};

        virtual ~FeatureGnssFix(){};
};

} // namespace wolf

#endif
